#
# spec file for package jpa-api
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           jpa-api
Version:        2.2.2
Release:        5.66
License:        EPL-2.0
Summary:        Java Persistence API specification
URL:            https://github.com/eclipse-ee4j/jpa-api
Group:          Development/Libraries/Java
Source0:        https://github.com/eclipse-ee4j/jpa-api/archive/2.2.2-RELEASE.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  fdupes
BuildRequires:  java-devel >= 1.8.0
BuildRequires:  maven-local
%if 0%{?rhel} >= 9
BuildRequires:  xmvn-tools
BuildRequires:  xmvn-minimal
%endif
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires:  mvn(org.eclipse.ee4j:project:pom:)
BuildRequires:  mvn(org.glassfish.build:spec-version-maven-plugin)
BuildArch:      noarch
Requires:       java

%description
The Java Persistence API is the Java API for the management of persistence and object/relational mapping in Jakarta EE and Java SE environments.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}

%prep
%setup -q -n %{name}-%{version}-RELEASE
%pom_remove_plugin org.apache.maven.plugins:maven-enforcer-plugin
%pom_remove_parent

%build
%{mvn_build} -f -- -Dsource=8

%install
%mvn_install
%fdupes -s %{buildroot}%{_javadocdir}

%files -f .mfiles
%license LICENSE.md

%files javadoc -f .mfiles-javadoc
%license LICENSE.md

%changelog
* Tue Jun  7 2022 Michael Calmer <mc@suse.com>
- build with xmvn
- Removed: build.sh
* Fri Dec 21 2018 moio@suse.com
- initial version
